package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 订单基础 订单的基础信息对象 order_base
 * 
 * @author qxp
 * @date 2020-07-10
 */
public class OrderBase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */
    private String isDelete;

    /** 订单所属 订单的所属公司 */
    @Excel(name = "订单所属 订单的所属公司")
    private String orderBelong;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNumber;

    /** 订单生成时间 */
    @Excel(name = "订单生成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderCreationTime;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private Double orderAmount;

    /** 冻结金额 */
    @Excel(name = "冻结金额")
    private Double freezeAmount;

    /** 未清金额 */
    @Excel(name = "未清金额")
    private Double unclearAmount;

    /** 发货未过账 */
    @Excel(name = "发货未过账")
    private Double shipmentNotPosted;

    /** 发货已过账 */
    @Excel(name = "发货已过账")
    private Double shipmentPosted;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Long orderStatus;

    /** 到货地址 */
    @Excel(name = "到货地址")
    private String shippingAddress;

    /** 过信用时间 */
    @Excel(name = "过信用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date passCreditTime;

    /** 期望到货开始时间 */
    @Excel(name = "期望到货开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedStartTime;

    /** 期望到货结束时间 */
    @Excel(name = "期望到货结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedEndTime;

    /** 订单结束时间 */
    @Excel(name = "订单结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderEndTime;

    /** 订单所属 */
    @Excel(name = "订单所属")
    private String belongTo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }
    public void setOrderBelong(String orderBelong) 
    {
        this.orderBelong = orderBelong;
    }

    public String getOrderBelong() 
    {
        return orderBelong;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setOrderCreationTime(Date orderCreationTime) 
    {
        this.orderCreationTime = orderCreationTime;
    }

    public Date getOrderCreationTime() 
    {
        return orderCreationTime;
    }
    public void setOrderAmount(Double orderAmount) 
    {
        this.orderAmount = orderAmount;
    }

    public Double getOrderAmount() 
    {
        return orderAmount;
    }
    public void setFreezeAmount(Double freezeAmount) 
    {
        this.freezeAmount = freezeAmount;
    }

    public Double getFreezeAmount() 
    {
        return freezeAmount;
    }
    public void setUnclearAmount(Double unclearAmount) 
    {
        this.unclearAmount = unclearAmount;
    }

    public Double getUnclearAmount() 
    {
        return unclearAmount;
    }
    public void setShipmentNotPosted(Double shipmentNotPosted) 
    {
        this.shipmentNotPosted = shipmentNotPosted;
    }

    public Double getShipmentNotPosted() 
    {
        return shipmentNotPosted;
    }
    public void setShipmentPosted(Double shipmentPosted) 
    {
        this.shipmentPosted = shipmentPosted;
    }

    public Double getShipmentPosted() 
    {
        return shipmentPosted;
    }
    public void setOrderStatus(Long orderStatus) 
    {
        this.orderStatus = orderStatus;
    }

    public Long getOrderStatus() 
    {
        return orderStatus;
    }
    public void setShippingAddress(String shippingAddress) 
    {
        this.shippingAddress = shippingAddress;
    }

    public String getShippingAddress() 
    {
        return shippingAddress;
    }
    public void setPassCreditTime(Date passCreditTime) 
    {
        this.passCreditTime = passCreditTime;
    }

    public Date getPassCreditTime() 
    {
        return passCreditTime;
    }
    public void setExpectedStartTime(Date expectedStartTime) 
    {
        this.expectedStartTime = expectedStartTime;
    }

    public Date getExpectedStartTime() 
    {
        return expectedStartTime;
    }
    public void setExpectedEndTime(Date expectedEndTime) 
    {
        this.expectedEndTime = expectedEndTime;
    }

    public Date getExpectedEndTime() 
    {
        return expectedEndTime;
    }
    public void setOrderEndTime(Date orderEndTime) 
    {
        this.orderEndTime = orderEndTime;
    }

    public Date getOrderEndTime() 
    {
        return orderEndTime;
    }
    public void setBelongTo(String belongTo) 
    {
        this.belongTo = belongTo;
    }

    public String getBelongTo() 
    {
        return belongTo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("orderBelong", getOrderBelong())
            .append("orderNumber", getOrderNumber())
            .append("orderCreationTime", getOrderCreationTime())
            .append("orderAmount", getOrderAmount())
            .append("freezeAmount", getFreezeAmount())
            .append("unclearAmount", getUnclearAmount())
            .append("shipmentNotPosted", getShipmentNotPosted())
            .append("shipmentPosted", getShipmentPosted())
            .append("orderStatus", getOrderStatus())
            .append("shippingAddress", getShippingAddress())
            .append("passCreditTime", getPassCreditTime())
            .append("expectedStartTime", getExpectedStartTime())
            .append("expectedEndTime", getExpectedEndTime())
            .append("orderEndTime", getOrderEndTime())
            .append("belongTo", getBelongTo())
            .append("remark", getRemark())
            .toString();
    }
}
