package com.dgtly.system.service;

import com.dgtly.system.domain.SysUserSalesExt;
import java.util.List;

/**
 * 用户销售信息扩展Service接口
 * 
 * @author qxp
 * @date 2020-07-29
 */
public interface ISysUserSalesExtService 
{


    /**
     * 查询用户销售信息扩展
     * 
     * @param userId 用户销售信息扩展ID
     * @return 用户销售信息扩展
     */
    public SysUserSalesExt selectSysUserSalesExtById(Long userId);

    /**
     * 查询用户销售信息扩展列表
     * 
     * @param sysUserSalesExt 用户销售信息扩展
     * @return 用户销售信息扩展集合
     */
    public List<SysUserSalesExt> selectSysUserSalesExtList(SysUserSalesExt sysUserSalesExt);

    /**
     * 新增用户销售信息扩展
     * 
     * @param sysUserSalesExt 用户销售信息扩展
     * @return 结果
     */
    public int insertSysUserSalesExt(SysUserSalesExt sysUserSalesExt);

    /**
     * 根据领导EmployeeId查询所有下属用户EmployeeId
     *
     * @param bossEmployeeId 领导EmployeeId
     * @return 结果
     */
    List<String> selectEmployeeIdsByBossEmployeeId(String bossEmployeeId);

    /**
     * 修改用户销售信息扩展
     * 
     * @param sysUserSalesExt 用户销售信息扩展
     * @return 结果
     */
    public int updateSysUserSalesExt(SysUserSalesExt sysUserSalesExt);

    /**
     * 批量删除用户销售信息扩展
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysUserSalesExtByIds(String ids);

    /**
     * 删除用户销售信息扩展信息
     * 
     * @param userId 用户销售信息扩展ID
     * @return 结果
     */
    public int deleteSysUserSalesExtById(Long userId);
}
