package com.dgtly.wxportal.domain;



import com.dgtly.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * H5磁贴表 wx_magnet
 * 
 * @author dgtly
 */
public class WxMagnet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单ID */
    private Long magnetId;

    /** 菜单名称 */
    private String magnetName;

    /** 显示顺序 */
    private String orderNum;

    /** 磁贴URL */
    private String url;


    /** 菜单状态:0显示,1隐藏 */
    private String visible;

    /** 磁贴尺寸（S:小（1x1），M:中(2x1)，L：大(3Map  x1)） */
    private String magnetSize;

    /** 背景图片 */
    private String bgUrl;


    public Long getMagnetId()
    {
        return magnetId;
    }


    public void setMagnetId(Long magnetId)
    {
        this.magnetId = magnetId;
    }

    @NotBlank(message = "菜单名称不能为空")
    @Size(min = 0, max = 50, message = "菜单名称长度不能超过50个字符")
    public String getMagnetName()
    {
        return magnetName;
    }

    public void setMagnetName(String magnetName)
    {
        this.magnetName = magnetName;
    }

    @NotBlank(message = "显示顺序不能为空")
    public String getOrderNum()
    {
        return orderNum;
    }

    public void setOrderNum(String orderNum)
    {
        this.orderNum = orderNum;
    }

    @Size(min = 0, max = 200, message = "请求地址不能超过200个字符")
    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getVisible()
    {
        return visible;
    }

    public void setVisible(String visible)
    {
        this.visible = visible;
    }

    @Size(min = 0, max = 100, message = "权限标识长度不能超过100个字符")
    public String getMagnetSize()
    {
        return magnetSize;
    }

    public void setMagnetSize(String magnetSize)
    {
        this.magnetSize = magnetSize;
    }

    public String getBgUrl()
    {
        return bgUrl;
    }

    public void setBgUrl(String bgUrl)
    {
        this.bgUrl = bgUrl;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("magnetId", getMagnetId())
            .append("magnetName", getMagnetName())
            .append("orderNum", getOrderNum())
            .append("url", getUrl())
            .append("bgUrl", getBgUrl())
            .append("visible", getVisible())
            .append("magnetSize", getMagnetSize())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

}
