package com.dgtly.wxportal.utils.qywxutils;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.dgtly.common.utils.http.HttpUtils;
import com.dgtly.wxportal.exception.QyWeixinException;
import com.dgtly.wxportal.utils.qywxutils.messageModel.QyWxBaseMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 企业微信发送信息工具类
 */
@Component
public class QyWxSendMessageUtil {

    @Autowired
    private QyWxAccessTokenUtil qyWxAccessTokenUtil;


    public boolean sendMessage(QyWxBaseMessage message){

        message.setAgentid(qyWxAccessTokenUtil.getAgentId());
        String url = QyWxServiceUrl.SEND_MESSAGE_URL.getformatUrl(qyWxAccessTokenUtil.getAccessToken());
        String result =  HttpUtils.sendJsonPost(url,message);
        JSONObject json = JSONObject.parseObject(result);

        Integer errcode = json.getInteger("errcode");
        if(errcode!=0){
            throw new QyWeixinException(errcode,url);
        }
        return true;

    }
}
